SDL_SeekIO(3)

NAME
SDL_SeekIO - Seek within an SDL_IOStream data stream.

SYNOPSIS
#include <SDL3/SDL_iostream.h>

Sint64 SDL_SeekIO(SDL_IOStream *context, Sint64 offset, SDL_IOWhence whence);

DESCRIPTION
This function seeks to byte offset, relative to whence.

whence may be any of the following values:

• SDL_IO_SEEK_SET: seek from the beginning of data

• SDL_IO_SEEK_CUR: seek relative to current read point

• SDL_IO_SEEK_END: seek relative to the end of data

If this stream can not seek, it will return -1.

FUNCTION PARAMETERS

context
    a pointer to an SDL_IOStream structure.

offset
    an offset in bytes, relative to whence location; can be negative.

whence
    any of SDL_IO_SEEK_SET, SDL_IO_SEEK_CUR, SDL_IO_SEEK_END.

RETURN VALUE
Returns the final offset in the data stream after the seek or -1 on failure; call SDL_GetError() for more information.

THREAD SAFETY
Do not use the same SDL_IOStream from two threads at once.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_TellIO(3)